Get user
curl --request GET \
--url https://app.sandbox.rio.trade/api/users/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/users/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoicing": {
"MX": {}
},
"individualData": {
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"birthday": "1988-06-06T00:00:00.000Z"
},
"businessData": {
"businessName": "<string>"
},
"createdAt": "2024-05-28T19:08:48.590Z",
"phoneNumber": "+526589562354",
"email": "testing@rio.trade",
"onboarding": {
"hasAcceptedTerms": true
},
"address": {
"street1": "Address 1",
"street2": "Address 2",
"city": "City",
"state": "State",
"country": "Country",
"postalCode": "Postal Code"
},
"id": "66562bc04fe8bf83c577c178",
"platformFeeRanges": {
"MX": {
"buy": [
{
"min": 123,
"max": 123,
"fee": 123,
"nextDaySettlementFee": 123,
"_id": "<string>"
}
],
"sell": [
{
"min": 123,
"max": 123,
"fee": 123,
"nextDaySettlementFee": 123,
"_id": "<string>"
}
]
},
"PE": {
"buy": [
{}
],
"sell": [
{}
]
},
"CO": {
"buy": [
{}
],
"sell": [
{}
]
},
"BR": {
"buy": [
{}
],
"sell": [
{}
]
}
},
"accumulatedVolumeInUSD": {
"MX": {
"buy": 123,
"sell": 123
},
"PE": {
"buy": 123,
"sell": 123
}
},
"attributes": [
"<string>"
],
"serviceFee": {
"MX": {
"buy": 123,
"sell": 123
},
"PE": {
"buy": 123,
"sell": 123
}
}
}Users API
Get user
GET
/
api
/
users
/
{id}
Get user
Authorizations
Path Parameters
Id of the user to be obtained.
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Creation date of the user.
Example:
"2024-05-28T19:08:48.590Z"
Type of the user.
Available options:
business, individual Phone number of the user.
Example:
"+526589562354"
Email of the user.
Example:
"testing@rio.trade"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ID of the user.
Example:
"66562bc04fe8bf83c577c178"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
User attributes
Show child attributes
Show child attributes
⌘I